CreatePostUpload
POST
/posts/v1/projects/{project_id}/feeds/{feed_id}/posts/uploadPath Parameters
project_id*project_id
The project_id path parameter.
feed_id*feed_id
The feed_id path parameter.
Request Body
requiredapplication/json{
"org_id": "OR98234j23",
"creator_id": "Tg6Rf4e2W1",
"description": "A short description.",
"content_type": "MEDIA_TYPE_VIDEO",
"file_name": "clip.mp4",
"video_quality": "VIDEO_QUALITY_PRO"
}org_id?string
creator_id?string
description?string
content_type?object
file_name?string
video_quality?object
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/posts.v1.PostUpload",
"$ref-value": {
"type": "object",
"properties": {
"post_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "post_id"
},
"content_id": {
"type": "string",
"examples": [
"LmNoPqR678"
],
"title": "content_id"
},
"poster_id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "poster_id"
},
"content_upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/upload"
],
"title": "content_upload_url"
},
"poster_upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/upload"
],
"title": "poster_upload_url"
},
"upload_expires": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "upload_expires"
}
},
"title": "PostUpload",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/posts/v1/projects/Bq4y3QB38S/feeds/F4edRI23XL/posts/upload" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/posts.v1.PostUpload",
"$ref-value": {
"type": "object",
"properties": {
"post_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "post_id"
},
"content_id": {
"type": "string",
"examples": [
"LmNoPqR678"
],
"title": "content_id"
},
"poster_id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "poster_id"
},
"content_upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/upload"
],
"title": "content_upload_url"
},
"poster_upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/upload"
],
"title": "poster_upload_url"
},
"upload_expires": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "upload_expires"
}
},
"title": "PostUpload",
"additionalProperties": false
}
}